<?php
session_start();
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  include "../../../config/koneksi.php";
  include "../../../config/fungsi_thumbnail.php";

  $module = $_GET['module'];
  $act    = $_GET['act'];

  // Hapus banner
  if ($module=='banner' AND $act=='hapus'){
    $query = "SELECT gambar FROM banner WHERE id_banner='$_GET[id]'";
    $hapus = mysqli_query($konek, $query);
    $r     = mysqli_fetch_array($hapus);
    
    if ($r['gambar']!=''){
      $namafile = $r['gambar'];
      
      // hapus filenya
      unlink("../../../foto_banner/$namafile");   
      unlink("../../../foto_banner/small_$namafile");   

      // hapus data banner di database 
      mysqli_query($konek, "DELETE FROM banner WHERE id_banner='$_GET[id]'");      
    }
    else{
      mysqli_query($konek, "DELETE FROM banner WHERE id_banner='$_GET[id]'");      
    }
    header("location:../../media.php?module=".$module);
  }

  // Input banner
  elseif ($module=='banner' AND $act=='input'){
  
    
    $judul = addslashes($_POST['judul']);
    $link  = addslashes($_POST['link']);



 $rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);



 if (empty($filename)){
      mysqli_query($konek, "INSERT INTO banner(judul, link, gambar) VALUES('$judul', '$link', '$xx')");
    header("location:../../media.php?module=".$module);
    }
      // Apabila ada gambar yang di upload
    else{

 
 
if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_banner/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "INSERT INTO banner(judul, link, gambar) VALUES('$judul', '$link', '$xx')");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
}


}









  }

  // Update banner
  elseif ($module=='banner' AND $act=='update'){


    $id    = $_POST['id'];    
    $judul = addslashes($_POST['judul']);
    $link  = addslashes($_POST['link']);
    $fotoku           = $_POST['fotoku'];



$rand = rand();
$ekstensi =  array('png','jpg','jpeg','gif','webp');
$filename = $_FILES['foto']['name'];
$ukuran = $_FILES['foto']['size'];
$ext = pathinfo($filename, PATHINFO_EXTENSION);


    // Apabila gambar tidak diganti
    if (empty($filename)){
     mysqli_query($konek, "UPDATE banner SET judul = '$judul',
                                     link        = '$link'
                               WHERE id_banner   = '$id'");
    header("location:../../media.php?module=".$module);
    }
    else{

       $namafile = $fotoku;
      
      // hapus filenya
      unlink("../../../foto_banner/$namafile");   
      unlink("../../../foto_banner/small_$namafile");
        

if(!in_array($ext,$ekstensi) ) {
  header("location:index.php?alert=gagal_ekstensi");
}else{
  if($ukuran < 1044070){    
    $xx = $rand.'_'.$filename;
    $folder = "../../../foto_banner/";
    move_uploaded_file($_FILES['foto']['tmp_name'], $folder.$rand.'_'.$filename);
    mysqli_query($konek, "UPDATE banner SET judul = '$judul',
                                     link        = '$link', 
                                     gambar      = '$xx' 
                               WHERE id_banner   = '$id'");
    header("location:../../media.php?module=".$module);
  }else{
     echo "<script>window.alert('Upload Gagal! Ukuran Terlalu Besar');
              window.location=('../../media.php?module=album)</script>";
  }
} 





    }
  }
}
?>
